/* HEADER */
body .taglineoverlay {
	right: 93px;
	width: calc(100% - 93px);

	&>.fixed {
		max-width: none;
		font-weight: 700;
		text-transform: uppercase;
		font-size: calc(var(--fs5) + 1px);
		letter-spacing: 0.07em;
	}

	&>.taglines .tagline {
		max-width: none;

		&>.taglineinner {
			&>.title {
				font-family: var(--font-cursive);
				font-size: calc(var(--fs0) + 28px);
			}
		}
	}
}

section.headersvgcontainer {
	position: absolute;
	top: -350px;
	left: 0px;
	width: 380px;
	padding: 0 !important;
}


.headersvg #Layer_1 {
	stroke-dashoffset: 7326;
	stroke-dasharray: 7326;
	animation: draw 3.5s ease-in-out forwards;
}

@keyframes draw {
	from {
		stroke-dashoffset: -7326
	}

	to {
		stroke-dashoffset: 0;
	}
}


/* HOMEPAGE TYPOGRAPHY*/
body.homePageStyle .bloqTitle {
	font-size: calc(var(--hp-bloq-font-size) + 20px) !important;
	line-height: 1em !important;
}

/* UPPER SECTION GRADIENT*/
.homeuppersection {
	background-image: linear-gradient(to bottom, rgb(var(--color4)), rgb(var(--grey10)));
}

/* QUICK LINKS */
body section.homequicklinks {
	padding: 75px 70px !important;
	--SliderRowHeight: 175px;
	margin-top: 0;

	&>div.Card>ul {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 25px;
		flex-wrap: wrap;

		&>li {
			flex: 1 1 auto;
			min-width: 230px;

			&>.Item {
				border-radius: 15px;

				&>.ItemBefore {
					top: 0 !important;
					left: 0 !important;
					right: 0 !important;
					bottom: 0 !important;
				}

				&>.ItemInner {
					height: 100%;
					background-color: transparent;

					&>.ItemIcon {
						top: 94px;
						width: auto;
						height: auto;
						font-size: 0;
						padding: 11px 18px 9px 18px;
						border-radius: 25px;
						border: 1px solid white;
						background-color: transparent;
						opacity: 0;
						transition: 0.4s;

						&:hover {
							background-color: white;

							&::before {
								color: var(--item-color);
							}
						}

						&::before {
							content: 'FIND OUT MORE';
							font-size: 10px;
							font-weight: 700;
							color: white;
							font-family: var(--font-heading);

						}
					}

					&>.Title {
						position: absolute;
						left: 0;
						bottom: 11px;
						width: 100%;
						font-size: 23px;
						font-weight: 700;
						font-family: var(--font-heading);
						color: white;
						text-transform: none;
						letter-spacing: 0;
						transition: 0.4s;
					}

					&::before {
						content: '';
						position: absolute;
						width: 100%;
						height: 100%;
						left: 0;
						top: 0;
						background-color: var(--item-color);
						opacity: 0.75;
						transition: 0.4s;
					}

					&::after {
						content: '';
						position: absolute;
						width: 65px;
						height: 4px;
						bottom: 0;
						left: 50%;
						transform: translateX(-50%);
						background-color: white;
						transition: 0.4s;
					}
				}

				&:hover {
					&>.ItemInner {
						&>.Title {
							bottom: 89px;
						}

						&>.ItemIcon {
							opacity: 1;
						}

						&::before {
							opacity: 0.9;
						}

						&::after {
							width: calc(100% - 53px);
						}
					}
				}
			}
		}
	}
}

/* HOME SINGLE QUOTE */
body section.homesinglequote {
	--block-quote-max-width: 1200px;
	padding: 45px 20px 0 20px !important;

	&>div.Blockquote ul li .Item .ItemInner {
		position: relative;
		padding-left: 70px;
		display: flex;
		flex-direction: column-reverse;

		&>.ItemIcon {
			font-size: 0;
			line-height: 0;
			position: absolute;
			background-image: var(--QuoteMarks);
			background-size: contain;
			background-repeat: no-repeat;
			background-position: 0% 0%;
			width: 50px;
			height: 50px;
			top: 0;
			left: 0;
			display: block;
		}

		&>.Title {
			color: rgb(var(--color1));
			font-size: 17px;
			text-transform: uppercase;
			letter-spacing: 0;
		}

		&>.ItemContent {
			margin: 0 0 19px 0;

			&>.paracontent {
				color: rgb(var(--color5));
				font-family: var(--font-extra);
				font-size: var(--fs2);
				line-height: 1em;
			}

			&::before,
			&::after {
				display: none;
			}
		}
	}

	&::before {
		content: '';
		position: absolute;
		width: 280px;
		height: 280px;
		right: -44px;
		top: -20px;
		background-image: var(--WhiteWatermark);
		background-size: contain;
		background-position: 0% 0%;
		background-repeat: no-repeat;
	}
}

/* WELCOME */
section.homewelcome {
	padding: 65px 20px 100px 20px !important;

	&>div.Welcome {
		--welcome-max-width: 1230px;

		&>.WelcomeFlex {
			padding-left: calc(min(var(--welcome-max-width) * 0.37, 37%) + 65px);

			&>label {
				position: relative;
				padding: 13px 10px 10px 10px;
				border-radius: 30px;
				text-transform: uppercase;
				font-family: var(--font-heading);
				color: white;
				background-color: rgb(var(--color3));
				font-weight: 700;
				letter-spacing: 0.05em;
				font-size: 14px;
				flex: 0 1 176px;
				margin-right: 20px;

				&:nth-last-of-type(1) {
					margin-right: 0;
				}

				&:nth-of-type(1) {
					&::before {
						content: '';
						position: absolute;
						width: 100vw;
						height: 1px;
						top: 50%;
						right: -100vw;
						transform: translateY(-50%);
						background-color: rgb(var(--color1));
					}
				}

				&:hover {
					background-color: rgb(var(--color1));
				}
			}

			&>input:checked+label {
				background-color: rgb(var(--color1));

				&:hover {
					background-color: rgb(var(--color3));
				}
			}

			&>.ItemImage {
				width: 37%;

				&>.ItemBefore {
					border-radius: 50%;
					box-shadow: 4px -4px 8px rgba(0, 0, 0, 0.25);
				}
			}

			&>h3.Title {
				font-family: var(--hp-bloq-family);
				font-weight: var(--hp-bloq-weight);
				text-transform: var(--hp-bloq-text-transform);
				color: rgb(var(--hp-bloq-color));
				letter-spacing: var(--hp-bloq-letter-spacing);
				font-size: calc(var(--hp-bloq-font-size) + 20px) !important;
				line-height: 1em !important;
				margin-bottom: 0;

				&>span {
					font-family: var(--hp-bloq-span-family);
					font-weight: var(--hp-bloq-span-weight);
					font-size: var(--hp-bloq-span-font-size);
					text-transform: var(--hp-bloq-span-text-transform);
					color: rgb(var(--hp-bloq-span-color));
					letter-spacing: var(--hp-bloq-span-letter-spacing);
					line-height: 1;
				}
			}

			&>.LinkWrapper {
				padding: 18px 20px 10px 20px;
			}
		}
	}
}

/* HOME QUOTES */

body section.mod_smooth_magazine.homequotes {
	padding: 170px 0 100px 0 !important;
	background-color: rgb(var(--color5));

	&>div.Magazine {
		max-width: none;

		&>ul li .Item {
			padding-bottom: 60px;

			&>.ItemBefore {
				left: auto !important;
				right: -3%;
				width: 36%;
				min-width: 36%;

				&>div.sticky {
					aspect-ratio: 1 / 1.25;
					top: calc(50vh - 210px);

					&>.circle {
						display: none;
					}

					&>img {
						border-radius: 14px;
						box-shadow: 4px -4px 8px rgba(0, 0, 0, 0.25);
						transform: rotate(5deg);
						border: 11px solid white;
					}
				}
			}

			&>.ItemInner {
				padding-right: calc(33% + 8vw);
				padding-left: 14vw !important;

				&>.Title {
					color: white;
					font-family: var(--font-cursive);
					font-size: calc(var(--hp-bloq-font-size) + 20px) !important;
					text-transform: none;
					font-weight: 300;
					letter-spacing: 0;
				}

				&>.ItemContent .paracontent {
					color: white;
					font-family: var(--font-heading);

					&>a.buttonstyle {
						background-color: rgb(var(--color1));
						color: white;
						margin-top: 30px;

						&:hover {
							background-color: rgb(var(--color3));
							border-color: rgb(var(--color3));
						}
					}
				}
			}
		}
	}

	&::before {
		content: 'THE HAUGTON WAY';
		position: absolute;
		left: 14vw;
		top: 145px;
		font-family: var(--hp-bloq-span-family);
		font-weight: var(--hp-bloq-span-weight);
		font-size: var(--hp-bloq-span-font-size);
		text-transform: var(--hp-bloq-span-text-transform);
		color: rgb(var(--color2));
		letter-spacing: var(--hp-bloq-span-letter-spacing);
	}
}


body section.homeevents.mod_balloon_slider {
	--SliderItemMinWidth: 395px;
	--SliderGridGap: 0px;
	padding: 70px 20px 120px 20px !important;
	margin: 40px !important;
	background-color: rgb(var(--color4));

	.filterSourceSideBySideButtons {
		position: absolute;
		right: 50%;
		bottom: 535px;
		transform: translateX(50%);
		justify-content: flex-end;
		max-width: 1200px;
		padding: 0 20px;


		&>.sourceButtonWrapper {
			padding-right: 0;

			&>.buttonstyle.calendarPageLink {
				height: auto;
				border-radius: var(--button-border-radius);
				font-size: var(--button-font-size);
				background-color: transparent;
				color: rgb(var(--color1));
				border-color: rgb(var(--color1));

				&:hover {
					background-color: rgb(var(--color1));
					border-color: rgb(var(--color1));
				}

				&::after {
					content: 'ALL EVENTS';
				}
			}
		}
	}

	&>h2.bloqTitle {
		max-width: 1180px;
		margin-bottom: 85px;
	}

	&>div.Slider {
		max-width: 1180px;

		&>.nav {
			top: calc(-90px - var(--nav-size));
			left: auto !important;

			&.next {
				right: 160px;
			}

			&.last {
				right: 209px
			}
		}

		.SliderInner>ul {
			&>li {
				.Item .ItemInner {
					padding-top: 3px;
					padding-left: 123px;

					.ItemDate {
						width: 100px;
						height: 100px;
						display: flex;
						flex-direction: column;
						align-items: center;
						justify-content: center;

						&>d {
							font-family: var(--font-heading);
							font-weight: 700;
							font-size: 37px;
							letter-spacing: 0.05em;
							line-height: 0.93em;
							margin-top: 5px;

							&:nth-child(2) {
								font-size: 14px;
							}
						}
					}

					&>.Title {
						font-family: var(--font-heading);
						text-transform: none;
						font-weight: 300;
						color: rgb(var(--color5));
						letter-spacing: 0;
						max-width: 305px;
						min-width: 0;

					}

					&>.ItemContent .paracontent {
						&>.location {
							display: none !important;
						}

						&>.cardBottomLinks {
							bottom: 66px;
							left: 12px;

							&>a {
								border: none;
								color: rgb(var(--color1));
								display: flex;
								align-items: center;
								letter-spacing: 0.05em;
								background-color: transparent;

								&::before {
									content: '\f055';
									font-style: normal;
									font-variant: normal;
									text-rendering: auto;
									-webkit-font-smoothing: antialiased;
									font-family: "Font Awesome 6 Free";
									font-weight: 900;
									margin-right: 7px;
									font-size: 19px;
								}

								&::after {
									padding-top: 2px;
								}
							}
						}
					}

					&::before {
						border: none;
						background-color: rgb(var(--color1));
						left: 50px;
						top: 100px;
						transform: translateX(-50%);
						width: 1px;
						height: calc(100% - 100px);
						background-color: rgb(var(--color1));

					}

					&:hover {
						&>.ItemDate {
							background-color: white;
							color: rgb(var(--color1));
						}
					}
				}

				&:nth-child(even) {
					&>.Item .ItemInner {
						padding-bottom: 3px;
						justify-content: flex-end;

						&>.ItemDate {
							bottom: 0;
							top: auto;
						}

						&::before {
							bottom: auto;
							top: 0;
						}
					}
				}
			}
		}
	}

	&::before {
		content: '';
		position: absolute;
		width: 100vw;
		height: 1px;
		background-color: rgb(var(--color1));
		left: 50%;
		bottom: 289px;
		transform: translate(-50%, -50%);
	}
}


/* HOME FACEBOOK SLIDER */

section.mod_doublewide_slider.homefacebookslider {
	&>h2.bloqTitle {
		margin: 0 0 40px 0 !important;
		text-align: center;
		max-width: 100%;
	}

	&>div.Slider {
		max-width: 1300px;
		--SliderRowHeight: 450px;
		--SliderGridGap: 48px;
		--HighDifference: calc(var(--nav-size) + var(--SliderGridGap) + 22px);
		margin: 0 auto 0 auto !important;

		&>.SliderInner>ul {
			&>li {
				&>.Item {
					width: 72%;
					background-color: rgb(var(--color5));

					&>.ItemBefore {
						bottom: auto;
						height: calc(100% - 100px);
						border-radius: 0 0 12px 12px;
					}

					.ItemInner {
						height: 100px;
						padding-bottom: 0;
						transition: 0.4s;

						&>.ItemIcon {
							width: 47px;
							height: 47px;
							border-radius: 50%;
							background-color: white !important;
							color: rgb(var(--color1)) !important;
							font-size: 17px;
						}

						&>.ItemDate {
							font-family: var(--font-heading);
							font-size: 15px;
							margin-bottom: 0;
							transition: 0.4s;
						}

						&>.Title {
							display: inline-grid;
							place-items: center;
							background-color: transparent;
							font-size: 0;
							color: white;
							cursor: pointer;
							text-decoration: none;
							text-align: center;
							text-transform: var(--button-text-transform);
							border: 1px solid white;
							margin: var(--button-gap);
							border-radius: var(--button-border-radius);
							font-family: var(--button-font-family);
							font-weight: var(--button-font-weight);
							line-height: 1.5em;
							position: absolute;
							left: 50%;
							bottom: 27px;
							transform: translateX(-50%);
							min-width: 0;
							letter-spacing: 0.05em;
							padding: 12px 27px 9px 27px !important;
							opacity: 0;
							transition: 0.4s;
							width: max-content;

							&:hover {
								background-color: white;
								color: rgb(var(--color5));
							}

							&::after {
								content: 'VIEW POST';
								line-height: 1.5em;
								font-size: var(--button-font-size);
							}
						}

						&>.ItemContent .paracontent {
							font-family: var(--font-heading);
							overflow: visible;
						}

						&::before {
							background: linear-gradient(0deg, rgba(var(--color5), 1) 150px, rgba(var(--color5), 0) 100%);
						}
					}

					&:hover {
						&>.ItemInner {
							justify-content: flex-end;
							padding-bottom: 100px;

							&>.ItemDate {
								margin-bottom: 14px;
							}

							&>.Title {
								opacity: 1;
							}
						}
					}
				}
			}

			&>li[data-pos-showing]+li .Item {
				width: 156%;

				&>.ItemBefore {
					height: auto;
					bottom: 0;
				}

				&>.ItemInner {
					text-align: left;
					padding: 35px 20px 20px 42px;
					justify-content: flex-start;

					&>.ItemContent {
						max-height: none;
						opacity: 1;
					}

					&>.ItemIcon {
						top: 31px !important;
					}

					&>.Title {
						opacity: 1;
					}

					&>.ItemDate {
						margin-bottom: 14px;
					}

					&::before {
						background: rgb(var(--color5));
					}
				}
			}
		}
	}
}


/* HOME LOWER QUOTES */
body section.homequoteslower.QuotesBloq {
	--block-quote-max-width: none;
	background-color: rgb(var(--color1));
	padding: 0 !important;
	min-height: 560px;
	overflow: hidden;

	&>div.Blockquote ul {
		&>li {
			&>.Item {
				padding-left: calc(40% + 11vw + 60px);
				padding-right: 9vw;
				overflow: visible;

				&>.ItemBefore {
					display: block;
					background-image: var(--item-image);
					background-size: cover;
					background-position: 50% 50%;
					width: 45%;
					height: 600px;
					border: 10px solid white;
					border-radius: 20px;
					transform: rotate(-6.5deg);
					position: absolute;
					top: 100px;
					left: -5%;
				}

				&>.ItemInner {
					padding-top: 110px;
					display: flex;
					flex-direction: column-reverse;
					position: relative;

					&>.buttonstyle {
						display: none;
					}

					&>.ItemContent {
						margin-top: 0;
						margin-bottom: 23px;
						&>.paracontent {
							color: white;
							font-family: var(--font-extra);
							font-size: var(--fs2);
						}

						&::before,
						&::after {
							display: none;
						}
					}

					&>h3.Title {
						font-size: 15px;
						color: rgb(var(--color2));
					}

					&::before {
						content: '';
						position: absolute;
						top: 122px;
						left: -60px;
						width: 42px;
						height: 42px;
						background-image: var(--QuoteMarks2);
						background-position: 0% 0%;
						background-size: contain;
						background-repeat: no-repeat;
					}
				}
			}
		}

		&>.switcherlabel {
			background-color: rgb(var(--grey9)) !important;
			opacity: 1;
			margin-top: 40px;
			width: 12px;
			height: 12px;
			margin-right: 5px;
			margin-bottom: 40px;

			&:first-of-type {
				margin-left: calc(40% + 11vw + 60px);
			}
		}

		&>.switcherradio:checked+.switcherlabel {
			background-color: rgb(var(--color2)) !important;
		}
	}
}



@media only screen and (min-width: 600px) {
	body section.homeevents.mod_balloon_slider {
		&>div.Slider {
			& .SliderInner>ul {
				&>li {
					&:nth-child(even) {
						&>.Item .ItemInner {
							padding-left: 243px;

							&>.ItemDate {
								left: 110px;
							}

							&>.ItemContent .paracontent {
								&>.cardBottomLinks {
									left: 122px;
								}
							}

							&::before {
								top: auto;
								bottom: 100px;
							}

							&::before {
								left: 160px;
							}
						}
					}
				}
			}
		}
	}
}

@media only screen and (max-width: 1200px) {
	body section.homeevents.mod_balloon_slider {
		margin: 0 !important;

		&>.filterSourceSideBySideButtons {
			bottom: 489px;
			z-index: 1;
			justify-content: flex-start;

			&>.sourceButtonWrapper {
				&>.buttonstyle.calendarPageLink {
					margin: 0;
				}
			}
		}

		&>div.Slider {
			padding-top: 106px;

			&>.nav {
				top: -50px;
				right: auto !important;

				&.last {
					left: 0;
				}

				&.next {
					left: 49px !important;
				}
			}
		}

	}

	section.headersvgcontainer {
		display: none;
	}

	body .taglineoverlay {
		width: 100%;
		right: 0;

		&>.fixed {
			font-size: calc(var(--fs5) - 5px);
		}

		&>.taglines .tagline {
			&>.taglineinner {
				&>.title {
					font-size: calc(var(--fs0) + 0px);
				}
			}
		}
	}

	body .scrolloverlay {
		&>.scrollDown {
			right: 20px;
		}
	}

	body section.homesinglequote {
		&>div.Blockquote ul li .Item .ItemInner {
			padding-left: 0;

			&>.ItemIcon {
				display: none;
			}
		}
	}

	section.homewelcome {
		&>div.Welcome {
			&>.WelcomeFlex {
				padding-left: 0;

				&>.ItemImage {
					&>.ItemBefore {
						display: none;
					}
				}

				&>.LinkWrapper {
					padding: 18px 20px 10px 20px;
				}
			}
		}
	}

	section.mod_doublewide_slider.homefacebookslider {
		--SliderItemMinWidth: 270px;

		&>h2.bloqTitle {
			text-align: center;
			width: 100%;
		}

		&>div.Slider {
			&>.SliderInner>ul {
				&>li {
					&>.Item {
						width: 100% !important;
						right: 0 !important;
						left: auto !important;
						transform: translateX(0) !important;
						top: auto !important;
						bottom: 0 !important;
					}
				}
			}

			&>.nav {
				top: 0px;
				bottom: auto;

				&.next {
					right: calc(50% - 30px) !important;
					transform: translateX(50%) !important;
				}

				&.last {
					right: calc(50% + 30px) !important;
					transform: translateX(50%) !important;
				}
			}
		}
	}
}

@media only screen and (max-width: 900px) {
	body section.mod_smooth_magazine.homequotes {
		&>div.Magazine {
			&>ul li .Item {
				&>.ItemBefore {
					display: none;
				}

				&>.ItemInner {
					padding-left: 20px !important;
					padding-right: 20px;
				}
			}
		}

		&::before {
			left: 20px;
		}
	}

	body section.homequoteslower.QuotesBloq {
		min-height: 1px;
		padding-bottom: 40px !important;

		&>div.Blockquote ul {
			&>li {
				&>.Item {
					padding: 0 20px 10px 20px !important;

					&>.ItemBefore {
						display: none;
					}

					&>.ItemInner {
						padding-top: 60px;
					}

					::before {
						display: none;
					}
				}
			}

			&>.switcherlabel {
				&:first-of-type {
					margin-left: 20px;
				}
			}
		}
	}
}

@media only screen and (max-width: 600px) {
	body section.homeevents.mod_balloon_slider {
		--SliderItemMinWidth: 300px;
	}
}